#ifndef CODE_H
#define CODE_H

#include "UmlauteWeb_global.hpp"
#include <string>

namespace Umlaute_Web
{
	class UMLAUTEWEB_EXPORT Std
    {
        private:

            /**
             * @brief A simple string replacing method
             * 
             * This method replaces \p toReplace in \p str with \p replaceStr .
             * 
             * @param inout The string to work on
             * @param what The character-chain to replace
             * @param with The charcater-chain to use instead of \p to replace
             * @return std::size_t The number of times the replacing has been done
             */
			static std::size_t replaceAll(std::string& inout, const char *what, const char *with);

			Std();
			~Std();

        public:

            /**
             * @brief change web-escapes to special characters for non-browser-applications
             * @param str Input String
             */
			static void decode(std::string &str);

            /**
             * @brief  change special characters to web-escapes
             * @param str Input String
             */
			static void encode(std::string &str);

			/**
			 * @brief remove all occureence of "--" in \p str
			 * @param str Input String
			 */
			static void removeSqlComments(std::string &str);

    }; // class Code

} // namespace Umlaute_Web

#endif  // CODE_H
